Subject: Re: GDB: Program received signal SIGSEGV, Segmentation fault. 0x77f6cde6 in ?? ()
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 5 Jan 2000 09:55:30 -0500

The "no debugging information" warnings are normal.

On a guess, I would say that you probably have more than one copy
of the cygwin DLL on your system.  That could cause a SIGSEGV.
You should only use the most recent version.

cgf

On Wed, Jan 05, 2000 at 12:37:31PM +0200, [email-masked] wrote:
>I have tried to run the Cygnus package version b20.1 on Windows NT 4.
>Any program that I run under gdb crashes with the above message.
>Also it reports a lot of system DLLs not having debug information (they are not
>supposed to have).
>Here is the output after entering the run command from "gdb ls.exe"
>
>[failed reading symbols from DLL]
>"/WINNT/system32/GDI32.dll": error reading line numbers
>
>(no debugging symbols found)...77e10000:/WINNT/system32/RPCRT4.dll
>
>[failed reading symbols from DLL]
>"/WINNT/System32/lpk.dll": error reading line numbers
>
>
>[failed reading symbols from DLL]
>"/WINNT/System32/lpkbidi.dll": error reading line numbers
>
>
>(no debugging symbols found)...67f60000:/WINNT/System32/NFPROC.DLL
>
>Program received signal SIGSEGV, Segmentation fault.
>0x77f6cde6 in ?? ()
>
>HELP any ideas please send me a response directly.

--
Want to unsubscribe from this list?
Send a message to [email-masked]